Cancel active jobs for a VM

Stop ongoing operations such as backups, restarts, or other tasks associated with a specific virtual server. This is useful if a process is taking too long or needs to be interrupted.

VPS & Cloud VM

Context

Used in the dashboard

/instance/[id]

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.bullmqMarkedCancelled integer required · Example: 0
data.bullmqRemoved integer required · Example: 0
data.cancelled boolean required · Example: true
data.proxmoxStopped boolean · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/vm/{vmid}/active-jobs
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/vm/10000/active-jobs" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "cancelled": true,
    "proxmoxStopped": true,
    "bullmqRemoved": 0,
    "bullmqMarkedCancelled": 0
  }
}